#!/bin/sh

#WORK_DIR=$(cd $(dirname $0); pwd)                           
WORK_DIR=/optI/    
USB_DIR=$1                                                                             
LIB_BASE=$WORK_DIR/library/lib                                                         
                                                                                       
# sys                                                                                  
export LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH                                       
                                                                                       
# base                                                                                 
export PATH=$WORK_DIR/software/sof:$PATH                                               
export LD_LIBRARY_PATH=${LIB_BASE}:$LD_LIBRARY_PATH                                    

# crypto
echo "export crypto"
export LIBCRYPTO_DIR=${LIB_BASE}/libcrypto
export LD_LIBRARY_PATH=${LIBCRYPTO_DIR}/lib:$LD_LIBRARY_PATH

# openssl                                                                              
echo "export openssl"                                                                  
export LIBOPENSSL_DIR=${LIB_BASE}/openssl                                              
export LD_LIBRARY_PATH=${LIBOPENSSL_DIR}/lib:$LD_LIBRARY_PATH                          

#curl                                                        
echo "export curl"                                           
export LIBCURL_DIR=${LIB_BASE}/libcurl                       
export LD_LIBRARY_PATH=${LIBCURL_DIR}/lib:$LD_LIBRARY_PATH   
                                                             
# libiconv                                                                             
echo "export libiconv"                                                                 
LIBICONV_DIR=${LIB_BASE}/libiconv                                                      
export LD_LIBRARY_PATH=${LIBICONV_DIR}/lib:$LD_LIBRARY_PATH                            
export LD_PRELOAD=${LIBICONV_DIR}/lib/preloadable_libiconv.so                          
                                                                                       
# tslib                                                                                
echo "export tslib"                                                                    
export TSLIBDIR=${LIB_BASE}/tslib                                                      
export TSLIB_TSDEVICE=/dev/input/touchscreen0
export TSLIB_CONFFILE=${TSLIBDIR}/etc/ts.conf                                          
export TSLIB_PLUGINDIR=${TSLIBDIR}/lib/ts                                              
export TSLIB_CALIBFILE=/etc/pointercal                                      
export TSLIB_CONSOLEDEVICE=none                                                        
export TSLIB_FBDEVICE=/dev/fb0                                                         
export LD_LIBRARY_PATH=${TSLIBDIR}/lib:$LD_LIBRARY_PATH                                                                  

# i2ctools
echo "export i2ctools"
I2CTOOLS_DIR=${LIB_BASE}/i2ctools
export LD_LIBRARY_PATH=${I2CTOOLS_DIR}/lib:$LD_LIBRARY_PATH

# Qt4
echo "export Qt4"
export QTDIR=${LIB_BASE}/qt4
export QT_PLUGIN_PATH=${QTDIR}/plugins
export LD_LIBRARY_PATH=${QTDIR}/lib:$LD_LIBRARY_PATH
export QWS_MOUSE_PROTO=tslib:/dev/input/touchscreen0
export QWS_DISPLAY=LinuxFb:/dev/fb0
export QT_QWS_FONTDIR=${QTDIR}/lib/fonts
export QT_QPA_PLATFORM=linuxfb:tty=/dev/fb0
export QWS_SIZE=320x480

USB_DIR=$1

# USB update & LCD Calibrate
echo "USB start"
if test -n "${USB_DIR}" ; then
	if [ -f ${USB_DIR}/hunter/lcd_calibrate ]
	then
		echo "rm calibrate info file"
		rm -f $TSLIB_CALIBFILE
		sync
	fi
fi

if [ ! -f $TSLIB_CALIBFILE ]; then
	echo "calibrate lcd"
	${USB_DIR}/hunter/ts_calibrate
	sync
fi



