﻿#!/bin/sh

# WORK_DIR=$(cd $(dirname $0); pwd)
WORK_DIR=/optI
SOFTWARE_DIR=${WORK_DIR}/software
QTAPP=${SOFTWARE_DIR}/sof/miniDLP
RUNPARA=" -qws RELEASE "

USB_DIR=$1

LOG=/var/hunter/run.log

echo "" > $LOG
echo "WORK_DIR: ${WORK_DIR}"
echo "SOFTWARE_DIR:${SOFTWARE_DIR}"
echo "USB_DIR: ${USB_DIR}"

FILE_CORE=/project/software/core
if [ -s ${FILE_CORE} ]; then
	mv ${FILE_CORE} /project/software;sync
fi

# find max dir
cd  ${SOFTWARE_DIR}
NEW_APP_DIR=`ls -vd [0-9].[0-9].[0-9]* | tail -n 1`
OLD_APP_DIR=`ls -vd [0-9].[0-9].[0-9]* | tail -n 2 | head  -n 1`
ISUPDATE=0
if [ -d ${SOFTWARE_DIR}/${NEW_APP_DIR} ] && \
   [ -d ${SOFTWARE_DIR}/${OLD_APP_DIR} ] && \
   [ ${SOFTWARE_DIR}/${OLD_APP_DIR} !=  ${SOFTWARE_DIR}/${NEW_APP_DIR} ]; then
    NEW_APP_DIR=${SOFTWARE_DIR}/${NEW_APP_DIR}
    OLD_APP_DIR=${SOFTWARE_DIR}/${OLD_APP_DIR}
    echo "NEW_APP_DIR:${NEW_APP_DIR}"
    echo "OLD_APP_DIR:${OLD_APP_DIR}"
    ISUPDATE=1
else
    echo "miss OLD_APP_DIR"  >> $LOG
    # NEW_APP_DIR=" "
    NEW_APP_DIR=${SOFTWARE_DIR}/${NEW_APP_DIR}
    OLD_APP_DIR=" "
fi

# plug
if [ -e ${SOFTWARE_DIR}/sof/plug-in/plug-in.sh ]; then
    ${WORK_DIR}/software/sof/plug-in/plug-in.sh
    rm  -rf ${SOFTWARE_DIR}/sof/plug-in
fi

. ${WORK_DIR}/software/sof/load_env.sh ${USB_DIR}

echo "insmod Wifi Module"
WIFI_MODULE=`lsmod | grep 8188eu`
echo $WIFI_MODULE
if [ -z ${WIFI_MODULE} ]
then
    insmod ${WORK_DIR}/kernel/ker/8188eu.ko
fi

echo "insmod Device Module"
DEVICE_MODULE=`lsmod | grep gadgetfs`
echo $DEVICE_MODULE
if [ -z "${DEVICE_MODULE}" ]
then
    insmod ${WORK_DIR}/kernel/ker/gadgetfs.ko
fi
if [ ! -d /dev/gadget ]
then
    mkdir /dev/gadget
    sync
fi
GADGET_DIR=`cat /proc/mounts | grep "gadgetfs" | cut -f 2 -d " " `
if [ -z "${GADGET_DIR}" ]
then
    mount -t gadgetfs none /dev/gadget
fi

# wlan0 up
sleep 2
ifconfig wlan0 up

# OEM update
packages=`find ${USB_DIR}/OEM/ -name "*-software-*.tar.xz"`
echo "find packages:"
echo "${packages}"
if [ -n "${packages}" ]; then
    for package in $packages; do
        if [ -f ${package} ]; then
            echo "------load: ${package}"
            #get infomation
            package_name=${package##*/}
            part1=${package_name%-*}
            version=${part1##*-}
            rm -rf /opt-package/hunter/*
            mkdir -p /opt-package/hunter
            cp -f ${package} /opt-package/hunter/
            break
        fi
    done
    package=/opt-package/hunter/${package_name}
    echo "------update------"
    cat ${WORK_DIR}/image/update_start.bmp  >> /dev/fb0
    sleep 1
    echo "package=${package}"
    echo "version=${version}"
    mkdir -p ${SOFTWARE_DIR}/temp
    rm -f ${package%.*};sync
    unxz ${package}
    tar -xf ${package%.*}  -C ${SOFTWARE_DIR}/temp
    cd ${SOFTWARE_DIR}/temp
    md5sum -c md5sum.list
    ret=$?
    if [ 0 != $ret ] ;then
        echo "OEM software package md5 check failed"
        RUNPARA=" -qws RELEASE OEM_fail "
        rm ${SOFTWARE_DIR}/temp
    else
        echo "check success"
        rm -rf ${SOFTWARE_DIR}/sof
        rm -rf ${NEW_APP_DIR};sync
        mv ${SOFTWARE_DIR}/temp ${SOFTWARE_DIR}/${version};sync
        ln -sf ${SOFTWARE_DIR}/${version} ${SOFTWARE_DIR}/sof
        cat ${WORK_DIR}/image/update_end.bmp  >> /dev/fb0
        sleep 2
    fi
    sync
fi

if [ -f ${USB_DIR}/hunter/test_flag ]
then
    echo "Start DLP-TEST"
    ${USB_DIR}/hunter/DLP-TEST -qws &
    exit 0
fi

umount ${USB_DIR}
rm -rf ${USB_DIR}


# running app
if [ -f ${QTAPP} ] ;then
    echo "***running app"
    chmod  777  ${QTAPP}
    ${QTAPP}${RUNPARA}&
    sleep 5;
fi


# count=`ps -ef |grep ${QTAPP} |grep -v "grep" |wc -l`
count=`ps |grep ${QTAPP} |grep -v "grep" |wc -l`
if [ 0 == $count ] && [ 1 == $ISUPDATE ];then
    echo ${QTAPP}"  not start ">>  $LOG
    rm -rf ${SOFTWARE_DIR}/sof
    rm -rf ${NEW_APP_DIR}
    ln -sf ${OLD_APP_DIR} ${SOFTWARE_DIR}/sof
    sync
    if [ -f ${QTAPP} ] ;then
        chmod  777  ${QTAPP}
        ${QTAPP} -qws RELEASE upgrade_fail &
    fi
else
    echo ${QTAPP}" start success" > $LOG
    if [ -d ${OLD_APP_DIR} ]; then
        echo "rm old app"
        rm -rf ${OLD_APP_DIR}
    fi
fi

